General | Certn API v 1.0 | Certn

Demo Environment

When sending test data to the following endpoints, change the domain to https://demo-api.certn.co.

To view a list of all application parameters, visit Application parameters.

Teams

Retrieve your teams

GET https://api.certn.co/api/v2/teams/ [DEPRECATED](https://docs.certn.co/api/v-1.0/deprecation)

View the details of all your teams.

200: OK Teams successfully retrieved

Response type

Example

application/json

[\
    {\
        "id": string <uuid>,\
        "name": string,\
        "business_number": integer,\
        "accounting_first_name": string,\
        "accounting_last_name": string,\
        "accounting_email": string,\
        "team_first_name": string,\
        "team_last_name": string,\
        "team_email": string,\
        "team_phone_number": string,\
        "street_address": string,\
        "city": string,\
        "province_state": string <two letter code>,\
        "country": string <ISO Country Code>,\
        "postal_code": string,\
        "website": string,\
        "industry": string,\
        "active_user_count": integer,\
        "internal_name": string,\
        "team_type": string,\
    }\
]

application/json

[\
    {\
        "id": "17f225cf-f547-437a-8bd9-36599416f7e9",\
        "name": "Example Team",\
        "business_number": 1234,\
        "accounting_first_name": "Magnus",\
        "accounting_last_name": "Certn",\
        "accounting_email": "example@certn.co",\
        "team_first_name": "M",\
        "team_last_name": "C",\
        "team_email": "example_teammail@certn.co",\
        "team_phone_number": null,\
        "street_address": "4412 King Alfred Court",\
        "city": "Victoria",\
        "province_state": "BC",\
        "country": "CA",\
        "postal_code": null,\
        "website": "https://www.certn.co",\
        "industry": "Background Checks",\
        "active_user_count": 7,\
        "internal_name": "Example Team",\
        "team_type": "OT"\
    }\
]

Retrieve your address references templates

GET https://api.certn.co/api/v2/teams/{team_id}/address/reference_templates/ [DEPRECATED](https://docs.certn.co/api/v-1.0/deprecation)

View the details of all your address references templates for a team.

Path Parameters

Name

Type

Description

team_id*

string

ID of the team

200: OK Questionnaires successfully retrieved

404: Not Found Team not found

Response type

Example

application/json

[\
    {\
        "id": string,\
        "name": string,\
        "version": string,\
        "description": string,\
        "type": string < enum > ,\
        "questions": [{\
                "id": string,\
                "index": int,\
                "question": string,\
                "type": string < enum > ,\
                "multiple_choice_options": [\
                    string,\
                    string\
                ],\
                "multiple_choice_correct_option": string,\
                "is_verifiable": boolean,\
                "is_required": boolean\
            }, {\
                "id": string,\
                "index": int,\
                "question": string,\
                "type": string < enum > ,\
                "multiple_choice_options": [\
                    string,\
                    string\
                ],\
                "multiple_choice_correct_option": string,\
                "is_verifiable": boolean,\
                "is_required": boolean\
            }\
        ]\
    }\
]

application/json

[\
    {\
        "id": "ae3087ac-bccc-4cf1-b149-30b2a854d210",\
        "name": "Default",\
        "version": "0.0.0",\
        "description": "Default Address Reference Questionnaire",\
        "type": "ADDRESS",\
        "questions": [{\
                "id": "80f2d05c-8ee0-4c8e-a8fe-030403bd3378",\
                "index": 0,\
                "question": "Did {{ first_name }} {{ last_name }} rent from {{ start_date }}{% if end_date %} to {{ end_date }}{% endif %}?",